Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 161216

Summary: Aplet doesn't provide a eth0 default; configuration tab is non-functional
Product: [Fedora] Fedora Reporter: Karen Spearel <kas111>
Component: gnome-netstatusAssignee: Christopher Aillon <caillon>
Status: CLOSED DUPLICATE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 4   
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-02-17 03:26:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 198369    
Bug Blocks:    

Description Karen Spearel 2005-06-21 14:36:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.2-1.3.1 StumbleUpon/1.9993 Firefox/1.0.4

Description of problem:
there is no eth0 selection provided on the pulldown selector for name: on the general tab.  Also, when clicking the Configure button, the window that opens is empty offering nothing to select to configure. 

Version-Release number of selected component (if applicable):
gnome-netstatus-2.10.0-4

How reproducible:
Always

Steps to Reproduce:
1.Install network Status applet on panel
2.single click applet icon on panel
3.notice that there is no default selection for eth0 and it must be manually typed in, reportedly causing some users problems
4.Clicking Configure pops up empty window with no selections available 

Actual Results:  lo is the only interface offered by default in the pulldown.  The config window is empty and doesn't ask for root permissions before popping up the window.

Expected Results:  An available eth0 selection should be provided.  The configuration window should be populated with available interfaces.

Additional info:

the 32 bit version of the applet works properly

Comment 1 Marco 2005-06-21 17:18:28 UTC
Same issue for me.
After typing eth0 manually it works, but in the list there is still only "lo" to
choose.

Comment 2 Christian Iseli 2007-01-20 00:58:24 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 3 petrosyan 2008-02-17 03:26:28 UTC

*** This bug has been marked as a duplicate of 318411 ***